Bug 1492286 - [CSD] corners don't have transparent background
Summary: [CSD] corners don't have transparent background
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1492028 1492039 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-16 06:18 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-09-05 09:30 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-05 09:30:17 UTC
Type: Bug


Attachments (Terms of Use)
firefox window with "square" corners (8.04 KB, image/png)
2017-09-16 06:18 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details
a window with rounded corners (9.54 KB, image/png)
2017-09-16 06:20 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1408360 None None None 2018-01-25 12:30:28 UTC

Description Zbigniew Jędrzejewski-Szmek 2017-09-16 06:18:43 UTC
Created attachment 1326674 [details]
firefox window with "square" corners

Description of problem:
With CSD on, the firefox window looks "square". In fact corners are rounded, but there's a white background which makes it look like they are not. See attached photo.


Version-Release number of selected component (if applicable):
firefox-55.0.3-3.fc26.x86_64

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-09-16 06:20:07 UTC
Created attachment 1326675 [details]
a window with rounded corners

For reference, here's a window from gnome-files which looks correctly.

Comment 2 Martin Stransky 2017-10-06 18:52:41 UTC
*** Bug 1492028 has been marked as a duplicate of this bug. ***

Comment 3 Martin Stransky 2017-10-06 18:52:46 UTC
*** Bug 1492039 has been marked as a duplicate of this bug. ***

Comment 5 Martin Stransky 2017-10-06 19:00:29 UTC
Reopening - the fix is incomplete when light weight themes are enabled.

Comment 6 Martin Stransky 2017-10-09 12:58:55 UTC
Fixed by https://github.com/stransky/gecko-dev/commit/795b3d8dbdc2cc49cf069bd54ef279366a045c28 but the corners looks a bit rough now.

Comment 7 Martin Stransky 2018-01-25 12:28:01 UTC
Reopened as we use upstream CSD implementation now.

Comment 8 Martin Stransky 2018-01-25 12:30:29 UTC
Upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=1408360

Comment 9 Fedora End Of Life 2018-05-03 07:52:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Martin Stransky 2018-09-05 09:30:17 UTC
Moving upstream.


Note You need to log in before you can comment on or make changes to this bug.